List Deposits

List deposits for your account.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

limitintegerOptional

Limit the size of the list that is returned. The default (and maximum) is 100 objects.

page_tokenstringOptional
The cursor to use for pagination. If not set, the first page of results will be returned.
payment_source_idstringOptional
The unique identifier for the payment sources to filter deposits by. Comma separated list of payment source IDs.
settled_at.afterstringOptionalformat: "date-time"
Return deposits with a settled date and time after the given date and time.
settled_at.beforestringOptionalformat: "date-time"
Return deposits with a settled date and time before the given date and time.

Response

The response for Deposits.list
resultslist of objects or null
next_page_tokenstring or null

A cursor token to use to retrieve the next page of results by making another API call to the same endpoint with the same parameters (only changing the pageToken). If specified, then more results exist on the server that were not returned, otherwise no more results exist on the server.

Errors